# $Revision: 1.6 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Params
%define	pnam	Util
Summary:	Params::Util - Simple standalone param-checking functions
Summary(pl.UTF-8):	Params::Util - proste samodzielne funkcje do sprawdzania parametrów
Name:		perl-Params-Util
Version:	0.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Params/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	47ff67318801dbc0aae41f94080cc8af
URL:		http://search.cpan.org/dist/Params-Util/
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-Test-Simple >= 0.42
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Params::Util provides a basic set of importable functions that makes
checking parameters a hell of a lot easier.

The functions provided by Params::Util check in the most strictly
correct manner, and in should not be fooled by odd cases.

%description -l pl.UTF-8
Params::Util udostępnia podstawowy zestaw importowalnych funkcji
znacznie ułatwiających sprawdzanie parametrów.

Funkcje dostarczane przez Params::Util sprawdzają poprawność w
najbardziej ścisły sposób i nie powinny dać się ogłupić przez
nietypowe przypadki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Params/Util.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Params-Util.spec,v $
Revision 1.6  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:44  baggins
- converted to UTF-8

Revision 1.4  2006/12/22 12:33:37  qboosh
- updated to 0.22

Revision 1.3  2006/10/25 21:01:24  ankry
- ver 0.21

Revision 1.2  2005/06/12 08:59:37  qboosh
- pl

Revision 1.1  2005/06/10 20:34:59  migo
- initial revision
- TODO: add %{perl_vendorlib}/Params to perl-base
